<template>
   <div class="modal-mask">
      <div class="modal-wrapper">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">
                {{ selected.venueId ? "Edit venue" : "Create venue" }}
              </h5>
              <button
                type="button"
                class="close"
                data-dismiss="modal"
                aria-label="Close"
              >
                <span aria-hidden="true" @click="$emit('closed')">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <div class="fluid-container">
                <div class="d-flex flex-wrap"></div>
                <form>
                  <div class="form-group">
                    <label for="address">Address</label>
                    <input
                      type="text"
                      class="form-control"
                      id="address"
                      placeholder="Enter the address"
                      v-model="selected.address"
                      required
                    />
                  </div>
                  <div class="form-group">
                    <label for="postalcode">Postalcode</label>
                    <input
                      type="text"
                      class="form-control"
                      id="postcode"
                      placeholder="Postalcode"
                      pattern="\d{4}"
                      v-model="selected.postalCode"
                      required
                    />
                  </div>
                  <div class="form-group">
                    <label for="type">Type</label>
                    <select
                      class="custom-select"
                      required
                      id="type"
                      v-model="selected.type"
                    >
                      <option value="0">Gym</option>
                      <option value="1">Public</option>
                      <option value="2">Home</option>
                    </select>
                  </div>
                  <div class="form-check">
                    <input
                      type="checkbox"
                      class="form-check-input"
                      id="isactive"
                      v-model="selected.isActive"
                    />
                    <label for="isactive">Active</label>
                  </div>
                  <div class="modal-footer">
                    <button
                      type="submit"
                      class="btn btn-primary"
                      @click.prevent="submitForm"
                    >
                      Submit
                    </button>
                    <button class="btn btn-secondary" @click="$emit('closed')">
                      Close
                    </button>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
</template>

<script>
export default {
    name: "ClientModal",

}
</script>

<style>

</style>